#include "EsoAcsammm_Header.hpp"
// ++++++++++++++++++++++++++++++++++
// + Code generated by dcc 1.0      +
// ++++++++++++++++++++++++++++++++++
void t1_res_block_0(double* yy, double* t1_yy, double* der_x, double* t1_der_x, double* x, double* t1_x, double* p, double* t1_p, int* condit, int* lock, int* prev, int& n_x, int& n_p, int& n_c, int& n_yy_ind, int* yy_ind, int& i_E_start, int& i_E_end)
#pragma ad indep x t1_x p t1_p
#pragma ad dep yy t1_yy
{
   int i_E=0; 
   int i_C=0; 
   int i__=0; 
   int j__=0; 
   int k__=0; 
   int m__=0; 
   int r_i=0; 
   int r_j=0; 
   int i_a=0; 
   int i_b=0; 
   int i_loop=0; 
   int i__switch=0; 
   int i__start=0; 
   int i__end=0; 
   int i__step=0; 
   int while_end=0; 
   int i_cont=0; 
   int j_cont=0; 
   int k_cont=0; 
   double var_tim=0; 
   double t1_var_tim=0; 
   double der_var_tim=0; 
   double t1_der_var_tim=0; 
   double var_x=0; 
   double t1_var_x=0; 
   double der_var_x=0; 
   double t1_der_var_x=0; 
   double var_y=0; 
   double t1_var_y=0; 
   double der_var_y=0; 
   double t1_der_var_y=0; 
   double var_z=0; 
   double t1_var_z=0; 
   double der_var_z=0; 
   double t1_der_var_z=0; 
   double var_testvar1=0; 
   double t1_var_testvar1=0; 
   double der_var_testvar1=0; 
   double t1_der_var_testvar1=0; 
   double var_testvar2=0; 
   double t1_var_testvar2=0; 
   double der_var_testvar2=0; 
   double t1_der_var_testvar2=0; 
   double par_Para=0; 
   double t1_par_Para=0; 
   double par_Cont=0; 
   double t1_par_Cont=0; 
   double var_pow0=0; 
   double t1_var_pow0=0; 
   double var_i_expr=0; 
   double t1_var_i_expr=0; 
   double var_pow1=0; 
   double t1_var_pow1=0; 
   double var_i_expr2=0; 
   double t1_var_i_expr2=0; 
   int i_i=0; 
   int i_j=0; 
   int i_z=0; 
   double v1_0=0; 
   double t1_v1_0=0; 
   double v1_1=0; 
   double t1_v1_1=0; 
   double v1_2=0; 
   double t1_v1_2=0; 
   double v1_3=0; 
   double t1_v1_3=0; 
   double v1_4=0; 
   double t1_v1_4=0; 
   double v1_5=0; 
   double t1_v1_5=0; 
   double v1_6=0; 
   double t1_v1_6=0; 
   double v1_7=0; 
   double t1_v1_7=0; 
   double v1_8=0; 
   double t1_v1_8=0; 
   double v1_9=0; 
   double t1_v1_9=0; 
   double v1_10=0; 
   double t1_v1_10=0; 
   double v1_11=0; 
   double t1_v1_11=0; 
   double v1_12=0; 
   double t1_v1_12=0; 
   double v1_13=0; 
   double t1_v1_13=0; 
   double v1_14=0; 
   double t1_v1_14=0; 
   t1_v1_0=t1_x[0]; // TLM array memory reference
   v1_0=x[0]; // SAC array memory reference
   t1_var_tim=t1_v1_0; // TLM =
   var_tim=v1_0; // SAC =
   t1_v1_0=t1_der_x[0]; // TLM array memory reference
   v1_0=der_x[0]; // SAC array memory reference
   t1_der_var_tim=t1_v1_0; // TLM =
   der_var_tim=v1_0; // SAC =
   t1_v1_0=t1_x[1]; // TLM array memory reference
   v1_0=x[1]; // SAC array memory reference
   t1_var_x=t1_v1_0; // TLM =
   var_x=v1_0; // SAC =
   t1_v1_0=t1_der_x[1]; // TLM array memory reference
   v1_0=der_x[1]; // SAC array memory reference
   t1_der_var_x=t1_v1_0; // TLM =
   der_var_x=v1_0; // SAC =
   t1_v1_0=t1_x[2]; // TLM array memory reference
   v1_0=x[2]; // SAC array memory reference
   t1_var_y=t1_v1_0; // TLM =
   var_y=v1_0; // SAC =
   t1_v1_0=t1_der_x[2]; // TLM array memory reference
   v1_0=der_x[2]; // SAC array memory reference
   t1_der_var_y=t1_v1_0; // TLM =
   der_var_y=v1_0; // SAC =
   t1_v1_0=t1_x[3]; // TLM array memory reference
   v1_0=x[3]; // SAC array memory reference
   t1_var_z=t1_v1_0; // TLM =
   var_z=v1_0; // SAC =
   t1_v1_0=t1_der_x[3]; // TLM array memory reference
   v1_0=der_x[3]; // SAC array memory reference
   t1_der_var_z=t1_v1_0; // TLM =
   der_var_z=v1_0; // SAC =
   t1_v1_0=t1_x[4]; // TLM array memory reference
   v1_0=x[4]; // SAC array memory reference
   t1_var_testvar1=t1_v1_0; // TLM =
   var_testvar1=v1_0; // SAC =
   t1_v1_0=t1_der_x[4]; // TLM array memory reference
   v1_0=der_x[4]; // SAC array memory reference
   t1_der_var_testvar1=t1_v1_0; // TLM =
   der_var_testvar1=v1_0; // SAC =
   t1_v1_0=t1_x[5]; // TLM array memory reference
   v1_0=x[5]; // SAC array memory reference
   t1_var_testvar2=t1_v1_0; // TLM =
   var_testvar2=v1_0; // SAC =
   t1_v1_0=t1_der_x[5]; // TLM array memory reference
   v1_0=der_x[5]; // SAC array memory reference
   t1_der_var_testvar2=t1_v1_0; // TLM =
   der_var_testvar2=v1_0; // SAC =
   t1_v1_0=t1_p[0]; // TLM array memory reference
   v1_0=p[0]; // SAC array memory reference
   t1_par_Para=t1_v1_0; // TLM =
   par_Para=v1_0; // SAC =
   t1_v1_0=t1_p[1]; // TLM array memory reference
   v1_0=p[1]; // SAC array memory reference
   t1_par_Cont=t1_v1_0; // TLM =
   par_Cont=v1_0; // SAC =
   // nonfloat assignment
   i_E=i_E_start;
   while (i_E<i_E_end) {
      // nonfloat assignment
      i__switch=yy_ind[i_E];
      switch (i__switch) {
         case 0: {
            t1_v1_0=0;  // TLM constant reference
            v1_0=2;  // SAC constant reference
            t1_v1_1=t1_der_var_tim; // TLM scalar memory reference
            v1_1=der_var_tim; // SAC scalar memory reference
            t1_v1_2=v1_1*t1_v1_0+v1_0*t1_v1_1; // TLM *
            v1_2=v1_0*v1_1; // SAC *
            t1_v1_3=0;  // TLM constant reference
            v1_3=1;  // SAC constant reference
            t1_v1_4=0;  // TLM constant reference
            v1_4=2;  // SAC constant reference
            t1_v1_5=v1_4*t1_v1_3+v1_3*t1_v1_4; // TLM *
            v1_5=v1_3*v1_4; // SAC *
            t1_v1_6=t1_v1_5; // TLM ()
            v1_6=v1_5; // SAC ()
            t1_v1_7=t1_v1_2-t1_v1_6; // TLM -
            v1_7=v1_2-v1_6; // SAC -
            t1_yy[i_E]=t1_v1_7; // TLM =
            yy[i_E]=v1_7; // SAC =
            // nonfloat assignment
            i_E=i_E+1;
            break;
         }
         case 1: {
            t1_v1_0=0;  // TLM constant reference
            v1_0=2;  // SAC constant reference
            t1_var_i_expr=t1_v1_0; // TLM =
            var_i_expr=v1_0; // SAC =
            t1_acs_pow(par_Para,t1_par_Para,var_i_expr,t1_var_i_expr,var_pow0,t1_var_pow0);
            t1_v1_0=t1_der_var_x; // TLM scalar memory reference
            v1_0=der_var_x; // SAC scalar memory reference
            t1_v1_1=0;  // TLM constant reference
            v1_1=2;  // SAC constant reference
            t1_v1_2=t1_var_tim; // TLM scalar memory reference
            v1_2=var_tim; // SAC scalar memory reference
            t1_v1_3=v1_2*t1_v1_1+v1_1*t1_v1_2; // TLM *
            v1_3=v1_1*v1_2; // SAC *
            t1_v1_4=0-t1_v1_3; // TLM -
            v1_4=0-v1_3; // SAC -
            t1_v1_5=0;  // TLM constant reference
            v1_5=4;  // SAC constant reference
            t1_v1_6=t1_v1_4+t1_v1_5; // TLM +
            v1_6=v1_4+v1_5; // SAC +
            t1_v1_7=t1_var_pow0; // TLM scalar memory reference
            v1_7=var_pow0; // SAC scalar memory reference
            t1_v1_8=t1_v1_6+t1_v1_7; // TLM +
            v1_8=v1_6+v1_7; // SAC +
            t1_v1_9=t1_v1_8; // TLM ()
            v1_9=v1_8; // SAC ()
            t1_v1_10=t1_v1_0-t1_v1_9; // TLM -
            v1_10=v1_0-v1_9; // SAC -
            t1_yy[i_E]=t1_v1_10; // TLM =
            yy[i_E]=v1_10; // SAC =
            // nonfloat assignment
            i_E=i_E+1;
            break;
         }
         case 2: {
            t1_v1_0=0;  // TLM constant reference
            v1_0=3;  // SAC constant reference
            t1_var_i_expr2=t1_v1_0; // TLM =
            var_i_expr2=v1_0; // SAC =
            t1_acs_pow(var_testvar1,t1_var_testvar1,var_i_expr2,t1_var_i_expr2,var_pow1,t1_var_pow1);
            t1_v1_0=0;  // TLM constant reference
            v1_0=3;  // SAC constant reference
            t1_v1_1=t1_der_var_y; // TLM scalar memory reference
            v1_1=der_var_y; // SAC scalar memory reference
            t1_v1_2=v1_1*t1_v1_0+v1_0*t1_v1_1; // TLM *
            v1_2=v1_0*v1_1; // SAC *
            t1_v1_3=0;  // TLM constant reference
            v1_3=2;  // SAC constant reference
            t1_v1_4=t1_var_y; // TLM scalar memory reference
            v1_4=var_y; // SAC scalar memory reference
            t1_v1_5=v1_4*t1_v1_3+v1_3*t1_v1_4; // TLM *
            v1_5=v1_3*v1_4; // SAC *
            t1_v1_6=t1_var_z; // TLM scalar memory reference
            v1_6=var_z; // SAC scalar memory reference
            t1_v1_7=t1_v1_5+t1_v1_6; // TLM +
            v1_7=v1_5+v1_6; // SAC +
            t1_v1_8=t1_var_pow1; // TLM scalar memory reference
            v1_8=var_pow1; // SAC scalar memory reference
            t1_v1_9=t1_v1_7+t1_v1_8; // TLM +
            v1_9=v1_7+v1_8; // SAC +
            t1_v1_10=t1_v1_9; // TLM ()
            v1_10=v1_9; // SAC ()
            t1_v1_11=0;  // TLM constant reference
            v1_11=3;  // SAC constant reference
            t1_v1_12=v1_11*t1_v1_10+v1_10*t1_v1_11; // TLM *
            v1_12=v1_10*v1_11; // SAC *
            t1_v1_13=t1_v1_12; // TLM ()
            v1_13=v1_12; // SAC ()
            t1_v1_14=t1_v1_2-t1_v1_13; // TLM -
            v1_14=v1_2-v1_13; // SAC -
            t1_yy[i_E]=t1_v1_14; // TLM =
            yy[i_E]=v1_14; // SAC =
            // nonfloat assignment
            i_E=i_E+1;
            break;
         }
         case 3: {
            t1_v1_0=0;  // TLM constant reference
            v1_0=4;  // SAC constant reference
            t1_v1_1=t1_der_var_z; // TLM scalar memory reference
            v1_1=der_var_z; // SAC scalar memory reference
            t1_v1_2=v1_1*t1_v1_0+v1_0*t1_v1_1; // TLM *
            v1_2=v1_0*v1_1; // SAC *
            t1_v1_3=t1_var_z; // TLM scalar memory reference
            v1_3=var_z; // SAC scalar memory reference
            t1_v1_4=t1_var_tim; // TLM scalar memory reference
            v1_4=var_tim; // SAC scalar memory reference
            t1_v1_5=v1_4*t1_v1_3+v1_3*t1_v1_4; // TLM *
            v1_5=v1_3*v1_4; // SAC *
            t1_v1_6=0;  // TLM constant reference
            v1_6=4;  // SAC constant reference
            t1_v1_7=v1_6*t1_v1_5+v1_5*t1_v1_6; // TLM *
            v1_7=v1_5*v1_6; // SAC *
            t1_v1_8=t1_v1_7; // TLM ()
            v1_8=v1_7; // SAC ()
            t1_v1_9=t1_v1_2-t1_v1_8; // TLM -
            v1_9=v1_2-v1_8; // SAC -
            t1_yy[i_E]=t1_v1_9; // TLM =
            yy[i_E]=v1_9; // SAC =
            // nonfloat assignment
            i_E=i_E+1;
            break;
         }
         case 4: {
            t1_v1_0=t1_var_testvar1; // TLM scalar memory reference
            v1_0=var_testvar1; // SAC scalar memory reference
            t1_v1_1=t1_var_x; // TLM scalar memory reference
            v1_1=var_x; // SAC scalar memory reference
            t1_v1_2=t1_var_y; // TLM scalar memory reference
            v1_2=var_y; // SAC scalar memory reference
            t1_v1_3=t1_v1_1+t1_v1_2; // TLM +
            v1_3=v1_1+v1_2; // SAC +
            t1_v1_4=t1_par_Cont; // TLM scalar memory reference
            v1_4=par_Cont; // SAC scalar memory reference
            t1_v1_5=t1_v1_3+t1_v1_4; // TLM +
            v1_5=v1_3+v1_4; // SAC +
            t1_v1_6=t1_v1_5; // TLM ()
            v1_6=v1_5; // SAC ()
            t1_v1_7=t1_v1_0-t1_v1_6; // TLM -
            v1_7=v1_0-v1_6; // SAC -
            t1_yy[i_E]=t1_v1_7; // TLM =
            yy[i_E]=v1_7; // SAC =
            // nonfloat assignment
            i_E=i_E+1;
            break;
         }
         case 5: {
            t1_v1_0=t1_var_testvar2; // TLM scalar memory reference
            v1_0=var_testvar2; // SAC scalar memory reference
            t1_v1_1=t1_var_x; // TLM scalar memory reference
            v1_1=var_x; // SAC scalar memory reference
            t1_v1_2=t1_var_y; // TLM scalar memory reference
            v1_2=var_y; // SAC scalar memory reference
            t1_v1_3=t1_v1_1-t1_v1_2; // TLM -
            v1_3=v1_1-v1_2; // SAC -
            t1_v1_4=t1_v1_3; // TLM ()
            v1_4=v1_3; // SAC ()
            t1_v1_5=t1_v1_0-t1_v1_4; // TLM -
            v1_5=v1_0-v1_4; // SAC -
            t1_yy[i_E]=t1_v1_5; // TLM =
            yy[i_E]=v1_5; // SAC =
            // nonfloat assignment
            i_E=i_E+1;
            break;
         }
      }
   }
}
void t1_res_block(double* yy, double* t1_yy, double* der_x, double* t1_der_x, double* x, double* t1_x, double* p, double* t1_p, int* condit, int* lock, int* prev, int& n_x, int& n_p, int& n_c, int& n_yy_ind, int* yy_ind)
#pragma ad indep x t1_x p t1_p
#pragma ad dep yy t1_yy
{
   int i_E=0; 
   int i_E_end=6; 
   int i__start=0; 
   int i__end=0; 
   int i__switch=0; 
   double v1_0=0; 
   double t1_v1_0=0; 
   double v1_1=0; 
   double t1_v1_1=0; 
   double v1_2=0; 
   double t1_v1_2=0; 
   double v1_3=0; 
   double t1_v1_3=0; 
   while (i_E<n_yy_ind) {
      // nonfloat assignment
      i__switch=yy_ind[i_E];
      // nonfloat assignment
      i__start=0;
      // nonfloat assignment
      i__end=6;
      if ((i__switch>=i__start) && (i__switch<i__end)) {
         // nonfloat assignment
         i__end=i_E+1;
         t1_res_block_0(yy,t1_yy,der_x,t1_der_x,x,t1_x,p,t1_p,condit,lock,prev,n_x,n_p,n_c,n_yy_ind,yy_ind,i_E,i__end);
      }
      // nonfloat assignment
      i_E=i_E+1;
   }
}
